Bug 1484514 (CVE-2017-12858) - CVE-2017-12858 libzip: Double free in _zip_dirent_read function in zip_dirent.c
Summary: CVE-2017-12858 libzip: Double free in _zip_dirent_read function in zip_dirent.c
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2017-12858
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1484515 1484516
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-23 18:55 UTC by Pedro Sampaio
Modified: 2019-09-29 14:19 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-08 03:22:01 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2017-08-23 18:55:47 UTC
Double free vulnerability in the _zip_dirent_read function in
zip_dirent.c in libzip allows attackers to have unspecified impact via
unknown vectors.

Upstream patch:

https://github.com/nih-at/libzip/commit/2217022b7d1142738656d891e00b3d2d9179b796

Comment 1 Pedro Sampaio 2017-08-23 18:56:36 UTC
Created libzip tracking bugs for this issue:

Affects: fedora-all [bug 1484515]


Created mingw-libzip tracking bugs for this issue:

Affects: fedora-all [bug 1484516]


Note You need to log in before you can comment on or make changes to this bug.